import { Action } from '@ngrx/store';

import { RPCClientError } from '@loafer/ng-rpc';
import { NoAuthProbe } from '@overflow/commons-typescript/model/noauth';

export enum ActionType {
  OnConnect = '[noauth-probe.connecting] OnConnect',
  OnDisconnect = '[noauth-probe.connecting] OnDisconnect',
}

export class OnConnect implements Action {
  readonly type = ActionType.OnConnect;

  constructor(public payload: NoAuthProbe) {}
}

export class OnDisconnect implements Action {
  readonly type = ActionType.OnDisconnect;

  constructor(public payload: NoAuthProbe) {}
}

export type Actions =
  | OnConnect
  | OnDisconnect
;
